com.beaglebuddy.id3.v23.frame_body

## Class ID3v23FrameBodySynchronizedTempoCodes.TempoChange

- java.lang.Object
- - com.beaglebuddy.id3.v23.frame_body.ID3v23FrameBodySynchronizedTempoCodes.TempoChange

- Enclosing class:
    ID3v23FrameBodySynchronizedTempoCodes

      public class ID3v23FrameBodySynchronizedTempoCodes.TempoChange
      extends java.lang.Object

  used to indicate a tempo change within an .mp3 song.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ID3v23FrameBodySynchronizedTempoCodes.TempoChange(int beatsPerMinute, int timeStamp)` constructor used to create a tempo change.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBeatsPerMinute()` gets the metronome setting for the song, ie, the number of beats per minute.
    `int` | `getTimeStamp()` gets the timeStamp where the tempo change occurs in the song.
    `java.lang.String` | `toString()` gets a string representation of the tempo change.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ID3v23FrameBodySynchronizedTempoCodes.TempoChange

          public ID3v23FrameBodySynchronizedTempoCodes.TempoChange(int beatsPerMinute,
                                                           int timeStamp)

      constructor used to create a tempo change.
      Parameters:
        `beatsPerMinute` - 0 indicates a beat-free time period. 1 indicates a single beat-stroke followed by a beat-free period. 2 - 510 indicates the metronome setting for the song, ie, the number of beats per minute.
        `timeStamp` - the timestamp in the song where the tempo change occurs. The units of the timestamp are specified by the `time stamp format` field.

  - ### Method Detail

    - #### getBeatsPerMinute

          public int getBeatsPerMinute()

      gets the metronome setting for the song, ie, the number of beats per minute.
      Returns:
        the number of beats per minute.

    - #### getTimeStamp

          public int getTimeStamp()

      gets the timeStamp where the tempo change occurs in the song.
      Returns:
        the time in the song where the tempo change occurs.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the tempo change.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the tempo change.